package cn.ysk.cashier.dto.order;

import cn.ysk.cashier.mybatis.entity.TbActivateOutRecord;
import cn.ysk.cashier.pojo.shop.TbShopUser;
import cn.ysk.cashier.vo.TbUserCouponVo;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

@Data
public class OrderCouponInfoDTO {
    private TbShopUser shopUser;
    private List<TbActivateOutRecord> outRecordList = new ArrayList<>();
    // 满减优惠券
    private HashMap<Integer, TbUserCouponVo> fullReductionCouponMap = new HashMap<>();
    // 商品优惠券
    private HashMap<Integer, TbUserCouponVo> productCouponMap = new HashMap<>();
    private HashMap<Integer, List<TbUserCouponVo>> couponMap = new HashMap<>();
}
